package com.bonus.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("menu_evalua_order")
public class MenuEvaluaOrder extends Model<MenuEvaluaOrder> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("评价id")
   private Long evaluaId;
   @ApiModelProperty("评价订单类型1食堂订单2商超订单")
   private Integer orderEvaluaType;
   @ApiModelProperty("订单编号")
   private Long ordId;
   @ApiModelProperty("星级")
   private Integer starLevel;
   @ApiModelProperty("描述")
   private String description;
   @ApiModelProperty("评价回复")
   private String reply;
   @ApiModelProperty("评价回复时间")
   private LocalDateTime replyTime;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("是否显示(1-显示,2-不显示)")
   private Integer showFlag;
   @ApiModelProperty("删除标识(1删除,2正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getEvaluaId() {
      return this.evaluaId;
   }

   public Integer getOrderEvaluaType() {
      return this.orderEvaluaType;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public Integer getStarLevel() {
      return this.starLevel;
   }

   public String getDescription() {
      return this.description;
   }

   public String getReply() {
      return this.reply;
   }

   public LocalDateTime getReplyTime() {
      return this.replyTime;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Integer getShowFlag() {
      return this.showFlag;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setEvaluaId(final Long evaluaId) {
      this.evaluaId = evaluaId;
   }

   public void setOrderEvaluaType(final Integer orderEvaluaType) {
      this.orderEvaluaType = orderEvaluaType;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setStarLevel(final Integer starLevel) {
      this.starLevel = starLevel;
   }

   public void setDescription(final String description) {
      this.description = description;
   }

   public void setReply(final String reply) {
      this.reply = reply;
   }

   public void setReplyTime(final LocalDateTime replyTime) {
      this.replyTime = replyTime;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setShowFlag(final Integer showFlag) {
      this.showFlag = showFlag;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
